# Binaries & Executables
bin/
api
*.exe
*.exe~
*.dll
*.so
*.dylib
*.test
*.out
coverage.out

# Environment & Secret files
.env
.env.*
!.env.example

# Logs & Temporary files
logs/
*.log
2026-*/
2026-*.txt
tmp/
.air.toml

# Docker & Deployment files
docker-compose.dev.yml
docker-compose.monitoring.yml
docker-compose.network.yml
docker-compose.prod.yml
docker-compose.redis.yml
Dockerfile
Dockerfile.dev

# IDE & Editor settings
.idea/
.vscode/
*.swp
*.swo
.DS_Store
